Module java.xml
Package javax.xml.stream

## Interface XMLReporter

-     public interface XMLReporter

  This interface is used to report non-fatal errors. Only warnings should be echoed through this interface.
  Since:
    1.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `report​(String message, String errorType, Object relatedInformation, Location location)` | Report the desired message in an application specific format.

- - ### Method Detail

    - #### report

          void report​(String message,
                      String errorType,
                      Object relatedInformation,
                      Location location)
               throws XMLStreamException

      Report the desired message in an application specific format. Only warnings and non-fatal errors should be reported through this interface. Fatal errors should be thrown as XMLStreamException.
      Parameters:
        `message` - the error message
        `errorType` - an implementation defined error type
        `relatedInformation` - information related to the error, if available
        `location` - the location of the error, if available
      Throws:
        `XMLStreamException`